Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::UB_String_Arg_Traits_T< T, T_var, T_out > Struct Template Reference

Template class for argument traits of unbounded (w)strings. More...

`#include <UB_String_Argument_T.h>`

Inheritance diagram for TAO::UB_String_Arg_Traits_T< T, T_var, T_out >:

[legend]
List of all members.

## Public Types
typedef T * | ret_type
typedef const T * | in_type
typedef T *& | inout_type
typedef T_out | out_type
typedef In_UB_String_Argument_T< T > | in_arg_val
typedef Inout_UB_String_Argument_T< T > | inout_arg_val
typedef Out_UB_String_Argument_T< T, T_out > | out_arg_val
typedef Ret_UB_String_Argument_T< T, T_var > | ret_val
typedef UB_String_Tag | idl_tag

## Detailed Description

### template<typename T, typename T_var, typename T_out>
struct TAO::UB_String_Arg_Traits_T< T, T_var, T_out >

Template class for argument traits of unbounded (w)strings.

## Member Typedef Documentation

template<typename T, typename T_var, typename T_out>
typedef UB_String_Tag TAO::UB_String_Arg_Traits_T< T, T_var, T_out >::idl_tag

template<typename T, typename T_var, typename T_out>
typedef In_UB_String_Argument_T<T> TAO::UB_String_Arg_Traits_T< T, T_var, T_out >::in_arg_val

template<typename T, typename T_var, typename T_out>
typedef const T* TAO::UB_String_Arg_Traits_T< T, T_var, T_out >::in_type

template<typename T, typename T_var, typename T_out>
typedef Inout_UB_String_Argument_T<T> TAO::UB_String_Arg_Traits_T< T, T_var, T_out >::inout_arg_val

template<typename T, typename T_var, typename T_out>
typedef T*& TAO::UB_String_Arg_Traits_T< T, T_var, T_out >::inout_type

template<typename T, typename T_var, typename T_out>
typedef Out_UB_String_Argument_T<T,T_out> TAO::UB_String_Arg_Traits_T< T, T_var, T_out >::out_arg_val

template<typename T, typename T_var, typename T_out>
typedef T_out TAO::UB_String_Arg_Traits_T< T, T_var, T_out >::out_type

template<typename T, typename T_var, typename T_out>
typedef T* TAO::UB_String_Arg_Traits_T< T, T_var, T_out >::ret_type

template<typename T, typename T_var, typename T_out>
typedef Ret_UB_String_Argument_T<T,T_var> TAO::UB_String_Arg_Traits_T< T, T_var, T_out >::ret_val

The documentation for this struct was generated from the following file:

- UB_String_Argument_T.h